GET /api/phone/settings
curl --request GET \
--url https://app.worksong.ai/api/phone/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/phone/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/phone/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/phone/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/phone/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.worksong.ai/api/phone/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/phone/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"maxCallMinutes": 8,
"maxCallsPerDay": 50,
"monthlyBudgetUsd": 5000,
"allowedPrefixes": [
"<string>"
],
"testNumbers": [
"<string>"
],
"serverAllowedPrefixes": [
"<string>"
],
"callsToday": 4503599627370495,
"monthSpendUsd": 1
}Phone
GET /api/phone/settings
GET
/
api
/
phone
/
settings
GET /api/phone/settings
curl --request GET \
--url https://app.worksong.ai/api/phone/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/phone/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/phone/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/phone/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/phone/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.worksong.ai/api/phone/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/phone/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"maxCallMinutes": 8,
"maxCallsPerDay": 50,
"monthlyBudgetUsd": 5000,
"allowedPrefixes": [
"<string>"
],
"testNumbers": [
"<string>"
],
"serverAllowedPrefixes": [
"<string>"
],
"callsToday": 4503599627370495,
"monthSpendUsd": 1
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Required range:
1 <= x <= 15Required range:
0 <= x <= 100Required range:
0 <= x <= 10000Maximum array length:
20Pattern:
^\+[1-9][0-9]{0,5}$Maximum array length:
5Pattern:
^\+[1-9][0-9]{6,14}$Required range:
0 <= x <= 9007199254740991Required range:
x >= 0